| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Static Public Member Functions
Tp::Presence Class Reference
Wrapper classes

The Presence class represents a Telepathy simple presence. More...

`#include <TelepathyQt/Presence>`

List of all members.

## Public Member Functions

- Presence ()
- Presence (const SimplePresence &sp)
- Presence (ConnectionPresenceType type, const QString &status, const QString &statusMessage)
- Presence (const Presence &other)
- ~Presence ()
- bool isValid () const
- Presence & operator= (const Presence &other)
- bool operator== (const Presence &other) const
- bool operator!= (const Presence &other) const
- ConnectionPresenceType type () const
- QString status () const
- QString statusMessage () const
- void setStatus (const SimplePresence &value)
- void setStatus (ConnectionPresenceType type, const QString &status, const QString &statusMessage)
- void setStatusMessage (const QString &statusMessage)
- SimplePresence barePresence () const

## Static Public Member Functions

- static Presence available (const QString &statusMessage=QString())
- static Presence chat (const QString &statusMessage=QString())
- static Presence away (const QString &statusMessage=QString())
- static Presence brb (const QString &statusMessage=QString())
- static Presence busy (const QString &statusMessage=QString())
- static Presence dnd (const QString &statusMessage=QString())
- static Presence xa (const QString &statusMessage=QString())
- static Presence hidden (const QString &statusMessage=QString())
- static Presence offline (const QString &statusMessage=QString())

## Detailed Description

The Presence class represents a Telepathy simple presence.

## Constructor & Destructor Documentation

Tp::Presence::Presence | ( |  | ) |

Tp::Presence::Presence | ( | const SimplePresence & | sp | ) |

Tp::Presence::Presence | ( | ConnectionPresenceType | type,
|  | const QString & | status,
|  | const QString & | statusMessage
| ) |  |

Tp::Presence::Presence | ( | const Presence & | other | ) |

Tp::Presence::~Presence | ( |  | ) |

## Member Function Documentation

Presence Tp::Presence::available | ( | const QString & | statusMessage = `QString()` | ) | `[static]`

Presence Tp::Presence::chat | ( | const QString & | statusMessage = `QString()` | ) | `[static]`

Presence Tp::Presence::away | ( | const QString & | statusMessage = `QString()` | ) | `[static]`

Presence Tp::Presence::brb | ( | const QString & | statusMessage = `QString()` | ) | `[static]`

Presence Tp::Presence::busy | ( | const QString & | statusMessage = `QString()` | ) | `[static]`

Presence Tp::Presence::dnd | ( | const QString & | statusMessage = `QString()` | ) | `[static]`

Presence Tp::Presence::xa | ( | const QString & | statusMessage = `QString()` | ) | `[static]`

Presence Tp::Presence::hidden | ( | const QString & | statusMessage = `QString()` | ) | `[static]`

Presence Tp::Presence::offline | ( | const QString & | statusMessage = `QString()` | ) | `[static]`

bool Tp::Presence::isValid | ( |  | ) | const`[inline]`

Presence & Tp::Presence::operator= | ( | const Presence & | other | ) |

bool Tp::Presence::operator== | ( | const Presence & | other | ) | const

bool Tp::Presence::operator!= | ( | const Presence & | other | ) | const

ConnectionPresenceType Tp::Presence::type | ( |  | ) | const

QString Tp::Presence::status | ( |  | ) | const

QString Tp::Presence::statusMessage | ( |  | ) | const

void Tp::Presence::setStatus | ( | const SimplePresence & | value | ) |

void Tp::Presence::setStatus | ( | ConnectionPresenceType | type,
|  | const QString & | status,
|  | const QString & | statusMessage
| ) |  |

void Tp::Presence::setStatusMessage | ( | const QString & | statusMessage | ) |

SimplePresence Tp::Presence::barePresence | ( |  | ) | const